import { ArgumentMetadata, Injectable, PipeTransform } from '@nestjs/common';
import { sanitize } from '@neuralegion/class-sanitizer/dist';

@Injectable()
export class SanitizePipe implements PipeTransform {
  transform(value: any, metadata: ArgumentMetadata) {
    if (
      !(value instanceof Object) ||
      value instanceof Buffer ||
      value instanceof Array
    ) {
      return value;
    }
    const constructorFunction = metadata.metatype;
    if (!constructorFunction) {
      return value;
    }
    value = Object.assign(new constructorFunction(), value);
    try {
      sanitize(value);
      return value;
    } catch (err) {
      console.error(err);
      throw err;
    }
  }
}
