import { MiddlewareConsumer, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PipelineTasksModule } from '../pipeline-tasks/pipeline-tasks.module';
import { GiteaWebhooksController } from './gitea-webhooks.controller';
import { WebhookLog } from './webhook-log.entity';
import { WebhooksService } from './webhooks.service';
import { raw } from 'body-parser';

@Module({
  imports: [TypeOrmModule.forFeature([WebhookLog]), PipelineTasksModule],
  controllers: [GiteaWebhooksController],
  providers: [WebhooksService],
})
export class WebhooksModule {
  // configure(consumer: MiddlewareConsumer) {
  //   consumer
  //     .apply(raw({ type: 'application/json' }))
  //     .forRoutes(GiteaWebhooksController);
  // }
}
